/* 
   OACI Studio Silent Security System 
   [PRODUCTION MODE] 
*/

/* Disable text selection and copying */
* {
   -webkit-user-select: none !important;
   -moz-user-select: none !important;
   -ms-user-select: none !important;
   user-select: none !important;
   -webkit-touch-callout: none !important;
}

/* Allow text selection only for specific elements if needed (e.g. contact email) */
.email-text,
.copy-feedback {
   -webkit-user-select: text !important;
   user-select: text !important;
}

/* Disable image dragging */
img {
   -webkit-user-drag: none !important;
   pointer-events: none;
}

/* Allow pointer events for interactive elements */
a,
button,
input,
textarea,
.nav-projects {
   pointer-events: auto !important;
}

/* Specific to the Portfolio: Allow images in detail view to be looked at, but not dragged */
.detail-media-grid img,
.project-thumb img {
   pointer-events: none !important;
}